/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import type { Meta, StoryObj } from '@storybook/angular';

import { FileIconComponent } from './file-icon.component';

const meta: Meta<FileIconComponent> = {
  title: 'Icons/File Icon',
  component: FileIconComponent,
  excludeStories: /.*Data$/,
  tags: ['autodocs'],
};

export default meta;
type Story = StoryObj<FileIconComponent>;

export const Default: Story = {
  args: { size: 'large', fileType: 'pdf' },
  argTypes: {
    size: {
      control: 'select',
      options: ['small', 'large'],
      description: 'Size of icon',
      table: {
        defaultValue: { summary: 'large' },
      },
    },
    fileType: {
      control: 'select',
      options: ['pdf', 'xml', 'doc', 'image', 'json', 'exclamation'],
      description: 'Type of file icon',
      table: {
        defaultValue: { summary: 'xml' },
      },
    },
  },
};
