/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
import { BescheidResource, BescheidService } from '@alfa-client/bescheid-shared';
import { StateResource, createEmptyStateResource } from '@alfa-client/tech-shared';
import { Component, OnInit } from '@angular/core';
import { Observable, of } from 'rxjs';

@Component({
  selector: 'alfa-vorgang-detail-bescheiden-dokumente-hinzufuegen',
  templateUrl: './vorgang-detail-bescheiden-dokumente-hinzufuegen.component.html',
  styles: [],
})
export class VorgangDetailBescheidenDokumenteHinzufuegenComponent implements OnInit {
  public bescheidDraftStateResource$: Observable<StateResource<BescheidResource>> = of(
    createEmptyStateResource<BescheidResource>(),
  );

  constructor(private bescheidService: BescheidService) {}

  ngOnInit(): void {
    this.bescheidDraftStateResource$ = this.bescheidService.getBescheidDraft();
  }
}
