/*
 * Copyright (C) 2023 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.postfach;

import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlElementWrapper;
import jakarta.xml.bind.annotation.XmlRootElement;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@XmlRootElement
@Builder
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@NoArgsConstructor(access = AccessLevel.PACKAGE)
class PostfachNachrichtPdfModel {

	@XmlElement
	private String vorgangName;

	@XmlElement
	private String vorgangNummer;

	@XmlElement
	private String antragstellerAnrede;

	@XmlElement
	private String antragstellerVorname;

	@XmlElement
	private String antragstellerNachname;

	@XmlElement
	private String antragstellerStrasse;

	@XmlElement
	private String antragstellerHausnummer;

	@XmlElement
	private String antragstellerPlz;

	@XmlElement
	private String antragstellerOrt;

	@XmlElementWrapper
	@XmlElement(name = "nachricht")
	private List<Nachricht> nachrichten;

	@Getter
	@Builder
	static class Nachricht {

		@XmlElement
		private boolean isFirst;

		@XmlElement
		private String subject;

		@XmlElement
		private String mailBody;

		@XmlElement
		private String createdBy;

		@XmlElement
		private String createdAt;

		@XmlElementWrapper
		@XmlElement(name = "attachment")
		private List<String> attachments;
	}
}