/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.alfa.historie;

import java.time.ZonedDateTime;

import de.ozgcloud.alfa.common.command.CommandOrder;

class VorgangChangeTestFactory {

	public static final String VALUE_BEFORE_CHANGE = "Value before";
	public static final String VALUE_AFTER_CHANGE = "Value after";
	public static final String ORGANISATIONSEINHEITEN_ID = "ORGA1";
	public static final String CREATED_BY_NAME = "User1";
	public static final ZonedDateTime FINISHED_AT = ZonedDateTime.now();
	public static final String ORDER = CommandOrder.SET_AKTENZEICHEN.name();

	public static VorgangChange create() {
		return createBuilder().build();
	}

	public static VorgangChange.VorgangChangeBuilder createBuilder() {
		return VorgangChange.builder()
				.valueBeforeChange(VALUE_BEFORE_CHANGE)
				.valueAfterChange(VALUE_AFTER_CHANGE)
				.authorFullName(CREATED_BY_NAME)
				.finishedAt(FINISHED_AT)
				.order(ORDER)
				.organisationseinheitenID(ORGANISATIONSEINHEITEN_ID);
	}

}
